package com.persagy.dmp.rwd.edit.enumeration;

import lombok.Getter;

/**
 * @author sagadev
 */

public enum EnumVersionState {

    /**
     * 取消
     */
    CANCEL(0, "取消"),
    /**
     * 初始化
     */
    INIT(1, "初始化"),
    /**
     * 确认
     */
    CONFIRM(2, "确认"),
    /**
     * 发布
     */
    PUBLISH(3, "发布"),
    /**
     * 完成
     */
    FINISH(4, "完成");

    @Getter
    private Integer value;
    @Getter
    private String desc;

    EnumVersionState(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static EnumVersionState getByValue(Integer value) {
        for (EnumVersionState state : EnumVersionState.values()) {
            if (state.getValue().equals(value)) {
                return state;
            }
        }
        return null;
    }
}
